Subject: RE: SMTP compressed protocol...

From: "Eric Burger" <[email-masked]>
Date: Fri, 5 Dec 2003 13:26:48 -0500

There is work underway in the IETF addressing mail over "bad" links.  See lemonade.  Here we are dealing with itty-bitty links, like 9600 baud.  Moreover, often people pay per minute, so they really care.

Note that we specifically are not looking at compressing SMTP, as that seemed way out of scope for our charter.

> -----Original Message-----
> From: Spencer Dawkins [mailto:[email-masked]]
> Sent: Fri, December 05, 2003 8:12 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: SMTP compressed protocol...
> 
> 
> ----- Original Message ----- 
> From: "John C Klensin" <[email-masked]>
> To: "Franck Martin" <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, December 05, 2003 12:11 AM
> Subject: Re: SMTP compressed protocol...
> 
> 
> >
> > p.s. Don't you know you aren't supposed to raise technical
> > issues on the IETF list?  It might drop the noise to signal
> > ratio below infinity, which many of those who seem to post the
> > most messages to the list might find very disappointing.   :-(
> 
> John can always count on me ... (heh, heh, heh)
> 
> This is actually a nice discussion (people thinking about how to make
> the world a better place, other people remembering what was talked
> about in the past while being realistic about whether things have
> changed enough to make different decisions reasonable). I would have
> thought a reasonable discussion would be *more* disaappointing than a
> falling noise to signal ratio, based on the last week or so of
> traffic.
> 
> Having said this, it seems to me that the people who are most likely
> to care about mail compression are at the extremes - either people who
> are working with what I consider extremely large files (as short as
> the Problem Statement working group meeting was in Minneapolis, it
> recorded as about 220 MB of MPEG1 audio/video), or working with
> extremely slow/high latency access links (almost always wireless).
> 
> The people who are working with extremely large files have the most
> reason to compress before transmission, including the part where mail
> quotas are enforced before/after transmission, so that's the size that
> really matters.
> 
> The people who are working with what PILC called either "lossy" or
> "lousy" links (I believe this was a Vern Paxson Freudian slip)
> probably do more with POP3 or IMAP4 than with SMTP (there are people
> on this list who seem to send more e-mail than they receive, but I
> don't think that's the general case!), so any compressing solution for
> sending mail would need to think in terms of receiving mail as well.
> This is probably why we seem to handle these links with per-hop
> compression, rather than anything end-to-end.
> 
> But it is nice to see discussions like this taking place.
> 
> Now I can go back to installing a root server on my laptop for all of
> North America (in other words, back to business as usual!)
> 
> Spencer
> 
> 
> 
>